package com.bcxin.vo.wps;

import java.math.BigDecimal;

/**
 * @version V1.0
 * @author jianjun.wang
 * @className WatermarkVo
 * @packageName com.bcxin.vo.wps
 * @description wps自带的水印VO
 * @data 2019-09-02 13:54
 **/
public class WatermarkVo {

	/**
	 
	 * type: 1,                 //水印类型， 0为无水印； 1为文字水印
            value: "禁止传阅",                    //文字水印的文字，当type为1时此字段必选
            fillstyle: "rgba( 192, 192, 192, 0.6 )",     //水印的透明度，非必选，有默认值
            font: "bold 20px Serif",        //水印的字体，非必选，有默认值
            rotate: -0.7853982,            //水印的旋转度，非必选，有默认值
            horizontal: 50,             //水印水平间距，非必选，有默认值
            vertical: 100             //水印垂直间距，非必选，有默认值
            
	 */
	
	private Integer type;
	private String value;
	private String fillstyle;
	private String font;
	private BigDecimal rotate;
	private Integer horizontal;
	private Integer vertical;
	
	
	
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public String getFillstyle() {
		return fillstyle;
	}
	public void setFillstyle(String fillstyle) {
		this.fillstyle = fillstyle;
	}
	public String getFont() {
		return font;
	}
	public void setFont(String font) {
		this.font = font;
	}
	public BigDecimal getRotate() {
		return rotate;
	}
	public void setRotate(BigDecimal rotate) {
		this.rotate = rotate;
	}
	public Integer getHorizontal() {
		return horizontal;
	}
	public void setHorizontal(Integer horizontal) {
		this.horizontal = horizontal;
	}
	public Integer getVertical() {
		return vertical;
	}
	public void setVertical(Integer vertical) {
		this.vertical = vertical;
	}
	
	public void fillTestData() {
		this.type = 0;
	}
}
